# $Revision: 1.29 $, $Date: 2004/05/06 18:20:35 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Make - module for processing makefiles
Summary(pl):	Make - modu do przetwarzania plikw Makefile
Name:		perl-Make
Version:	1.00
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Make/Make-%{version}.tar.gz
# Source0-md5:	ee5233f89630451dd2c24e5e0d7d3336
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Make - module for processing makefiles.

%description -l pl
Make - modu do przetwarzania plikw Makefile.

%prep
%setup -q -n Make-%{version}
mv pmake pmake.pl
%{__perl} -pi -e '/EXE_FILES/ && s/pmake/pmake.pl/' Makefile.PL

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/*.pm
%{_mandir}/man1/*
%{_mandir}/man3/M*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Make.spec,v $
Revision 1.29  2004/05/06 18:20:35  ankry
- fixed perl-devel BR

Revision 1.28  2004/04/23 06:22:06  ankry
- license fixes/unification

Revision 1.27  2004/04/20 23:59:34  ankry
- ported to new bconds

Revision 1.26  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.25  2003/08/30 18:43:19  radek
- big standarization, release 10

Revision 1.24  2003/08/27 16:58:18  blues
- small standarization

Revision 1.23  2003/08/18 08:08:58  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.22  2003/05/28 13:00:48  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 06:24:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.19  2003/03/01 20:20:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.18  2003/02/25 00:40:16  radek
- use the __perl macro

Revision 1.17  2003/02/18 15:36:14  ankry
- massive attack: change CPAN URLs

Revision 1.16  2002/11/26 00:14:18  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.15  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.14  2002/03/03 20:20:54  marcus
- rel.8.

Revision 1.13  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/10 15:28:23  depesz
adapterized

Revision 1.11  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/11/28 15:20:19  mis
- buildarch noarch; release++

Revision 1.9  2001/04/17 12:12:26  baggins
- release 6
- rebuild with perl 5.6.1

Revision 1.8  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.7  2001/01/11 02:14:16  kloczek
- release 5: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.6  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:56  baggins
- translated kloczkish into english

Revision 1.3  1999/12/04 18:53:43  pius
- renamed pmake to pmake.pl to avoid conflict with BSD pmake utility
- release 4

Revision 1.2  1999/11/05 21:50:11  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
